<template>
  <q-layout view="hHh LpR fFf"> <!-- Be sure to play with the Layout demo on docs -->
    <q-header elevated>
      <nav-desktop />
      <nav-mobile @showDrawer="showDrawer" />
    </q-header>
    <q-drawer v-model="left" side="left" behavior="mobile" bordered>
      <drawer-left />
    </q-drawer>
    <q-page-container>
      <router-view />
    </q-page-container>
    <q-footer class="mobile-only">
      <footer-nav />
    </q-footer>
  </q-layout>
</template>

<script>
import NavDesktop from "components/Layouts/NavDesktop";
import NavMobile from "components/Layouts/NavMobile";
import DrawerLeft from "components/Layouts/DrawerLeft";
import FooterNav from "components/FooterNav";
import {jarkonsChannel} from "boot/pusher";

export default {
  name: 'LayoutsUtama',
  components: {
    NavDesktop,
    NavMobile,
    DrawerLeft,
    FooterNav
  },
  beforeMount() {
    this.checkLogin();
  },
  data () {
    return {
      left: false,
    }
  },
  methods: {
    showDrawer() {
      this.left = !this.left
    },
    async checkLogin() {
      this.$q.loading.show();
      await this.$axios.post("/api/details")
        .then(sukses => {
          this.$q.loading.hide();
          this.$store.commit("user/updateUserDetail", sukses.data.data);
        })
        .catch(gagal => {
          this.$q.loading.hide();
        })
    }
  }
}
</script>
